@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Urbanist:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --cor-roxa: #6A6DCD;
    --cor-azul-escuro: #001628;
    --urbanist: "Urbanist", sans-serif;
    --inter: "Inter", sans-serif;
}

img {
    height: auto;
}

.container * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    text-align: left;

}

.full-container {
    width: 100%;
    height: 100%;
}

.container {
    margin: 0 auto;
    max-width: 1330px;
    position: relative;
    padding: 0 15px;
}

.container {
    width: 100% !important;
    max-width: 1330px;
}

body h3 {
    font-family: var(--urbanist);
    font-size: 31px;
    color: var(--cor-roxa);
    font-weight: 800;
}

body h4 {
    font-family: var(--inter);
    font-size: 25px;
    color: #828282;
    font-weight: 400;
}

.topics li {
    font-size: 25px;
    font-family: var(--inter);
    color: #828282;
}

.specs li {
    list-style-position: inside;
}

/* ------ CARD 1 ------ */
#card-1 {
    position: relative;
}

#card-1 .header {
    background-color: var(--cor-roxa);
    font-family: var(--urbanist);
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 45%;
    padding: 2%;
}

#card-1 .titulo h1 {
    font-family: var(--urbanist);
    color: #FFFFFF;
    font-size: 75px;
    font-weight: 800;
}

#card-1 .titulo h2 {
    font-family: var(--urbanist);
    color: #FFFFFF;
    font-size: 18px;
    font-weight: 100;
}

#card-1 .titulo {
    line-height: 0.9;
}

#card-1 .headerbackground img {
    width: 100%;
}

#card-1 .headerbackground {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    background: url(../img/card1-background.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 754px;
    width: 100%;
}

#card-1 .icones {
    background-color: var(--cor-azul-escuro);
    padding: 3%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3%;
}

#card-1 .iconigm {
    width: 50px;
    height: 90px;

    display: flex;
    align-items: center;
    justify-content: center;

    margin: 0 auto;
}

#card-1 .iconigm img {
    max-width: 100%;
    max-height: 100%;

    width: auto;
    height: auto;

    object-fit: contain;
}

#card-1 .headerbackground img {
    height: 100%;
}

#card-1 .icones h3 {
    font-family: "Inter", sans-serif;
    font-size: 14px;
    color: #FFFFFF;
    font-weight: 300;
}

#card-1 .icone {
    text-align: center;
    display: flex;
    flex-direction: column;
    flex: 1;
}

#card-1 .espacamento {
    width: 65%;
    align-self: center;
}

.icone:hover h3 {
    color: #6A6DCD !important;
}

.icone:hover img {
    filter: invert(47%) sepia(10%) saturate(3039%) hue-rotate(200deg) brightness(94%) contrast(85%);
}

#card-4 h1 {
    white-space: nowrap;
}

.headerbackground {
    overflow: hidden;
    position: relative;
}

.headerbackground::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url(../img/card1-background.webp);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;

    transition: transform 0.4s ease;
}

.headerbackground:hover::before {
    transform: scale(1.25);
}


/* ------ CARD 2 ------ */
#card-2 {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

#card-2 .workbench {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 5%;
    text-align: center;
    width: 90%;
    margin-top: 5%;
}


#card-3 .desc3 h3,
#card-2 .work h3,
#card-2 .workbench h3 {
    margin-bottom: 3%;
}


#card-2 .work {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    padding: 5%;
    gap: 17%;
}

#card-2 .desc2 {
    width: 40%;
}

/* ------ CARD 3 ------ */

#card-3 .background3 {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    background: url(../img/card3-background.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 660px;
    width: 100%;
    background-color: #F0F0F0;
    margin-top: 7%;
}

#card-3 .desc3 {
    width: 43%;
    margin-left: 7%;

}

#card-3 .stats {
    padding: 5%;
    margin-top: 5%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

}

#card-3 .img3 {
    position: relative;
    display: flex;
    justify-content: center;
    margin-top: 5%;
}


#card-3 .img3 img {
    width: 87%;
    height: 100%;
}

#card-3 .img3 .img-hover {
    position: absolute;
    bottom: 1%;
    left: 8%;
    width: 100%;
    height: 109%;
    opacity: 0;
    transition: opacity 0.4s ease;
}

#card-3 .img3:hover .img-hover {
    opacity: 1;
}

/* ------ CARD 4 ------ */

#card-4 {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: relative;
}

#card-4 .descpurple {
    background-color: #6A6DCD;
    padding: 7%;
}

#card-4 .descgray {
    background-color: #F0F0F0;
    padding: 7%;
}

#card-4 .descpurple h3,
#card-4 .descpurple h4 {
    color: white;
}

#card-4 .desk4 {
    position: absolute;
    top: 0;
    left: 0;
    transform: none;
}

#card-4 .desc4 {
    width: 50%;
}

#card-4 .responsive4 {
    display: none;
}

#card-4 .descgray,
#card-4 .descpurple {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    flex-direction: column;
}

#card-4 .descpurple h3,
#card-4 .descgray h3 {
    margin-bottom: 3%;
}

/* ------ CARD 5 ------ */
#card-5,
#card-5 .painel {
    position: relative;
    display: flex;
    margin-top: 15%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#card-5 .img5 {
    margin-left: 4%;
    position: relative;
    display: inline-block;
    margin-top: 4%;
}

#card-5 .img5 img {
    width: 100%;
    height: 100%;
}

#card-5 .img5 .painel-on {
    position: absolute;
    top: 43%;
    left: 20%;
    width: 53%;
    height: 48%;
    opacity: 0;
    transition: opacity 0.4s ease;
}

#card-5 .img5:hover .painel-on {
    opacity: 1;
}

#card-5 .desc5 {
    text-align: center;
    padding: 5%;
    margin-top: 5%;
    width: 84%;
}

#card-5 .desc5 h3 {
    margin-bottom: 3%;
}

#card-5 .table {
    margin-top: 7%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    background: url(../img/card5-background.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 557px;
    width: 100%;
    background-color: #F0F0F0;
}



#card-5 .topics {
    margin-left: 5%;
}

#card-5 .table h3 {
    margin-bottom: 10%;
}

#card-5 .table h4 {
    margin-top: 10%;
}

#card-5 .desctable {
    width: 40%;
    margin-left: 8%;
}

#card-5 .durable {
    margin-top: 15%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row;
}

#card-5 .descdurable {
    width: 50%;
    margin-left: 7%;
}

#card-5 .descdurable h3 {
    margin-bottom: 3%;
}

#card-5 .weight {
    padding: 9% 9% 9% 3%;
    background-color: #6A6DCD;
}

/* ------ CARD 6 ------ */

#card-6 {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 12%;
}

#card-6 .chaircard {
    display: flex;
    align-items: center;
    flex-direction: column;
    align-items: center;
    width: 80%;
}

#card-6 .imgchair {
    display: flex;
}

#card-6 .imgchair {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    overflow: hidden;

}

#card-6 .imgchair img {
    transition: transform 0.4s ease;
    transform-origin: right bottom;
}

#card-6 .imgchair img:hover {
    transform: scale(1.3);
}

#card-6 .imgchair img {
    width: 100%;
}

#card-6 .deschair {
    display: flex;
    align-items: center;
    justify-self: center;
    flex-direction: column;
    padding: 9%;
    text-align: center;
    background-color: #F0F0F0;
    width: 99.5%;
}

#card-6 .bivolt {
    width: 75%;
    margin-top: 10%;
    margin-left: 10%;
}

#card-6 .bivolt h3 {
    margin-bottom: 3%;
}

#card-6 .couple {
    margin-top: 12%;
    display: flex;
    align-items: center;
    flex-direction: row;
    gap: 8%;
    width: 100%;
    justify-content: center;
}

#card-6 .descouple h3 {
    margin-bottom: 6%;
}

#card-6 .topics li {
    margin-bottom: 5%;
    margin-left: 6%;
}

/* ------ CARD 7 ------ */
#card-7 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 10%;
}

#card-7 .frame7 {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-direction: row;
    gap: 4%;
}

#card-7 .wireless,
#card-7 .wired {
    background-color: #F0F0F0;
    width: 451px;
    height: 587px;
    padding: 5%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 20%;
    box-sizing: border-box;
}


#card-7 .img7 {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 1;
}

#card-7 .desc7 {
    width: 100%;
    text-align: center;
    margin-top: auto;
}

#card-7 .desc7 h1 {
    color: #828282;
    font-size: 25px;
    text-align: center;
    font-family: var(--inter);
    font-weight: 300;
}

#card-7 .button7 {
    background-color: #6A6DCD;
    padding: 2.5% 6.5%;
    margin-top: 10%;
}

#card-7 .button7 h2 {
    color: #FFFFFF;
    font-size: 25px;
    text-align: center;
    font-family: var(--urbanist);
    font-weight: 800;
}

#card-7 .img7 img {
    transition: transform 0.3s ease;
}

#card-7 .img7 img:hover {
    transform: scale(1.3);
}

#card-7 h3 {
    margin-bottom: 5%;
}

/* ------ Card 8 ------ */

#card-8 {
    background-color: #6A6DCD;
    padding: 4.5%;
    margin-top: 8%;
    display: flex;
    justify-content: center;
    align-items: center;
}

@media (max-width: 1150px) {
    #card-1 .header {
        gap: 35%;
    }

    #card-4 .desk4 img {
        width: 80%;
    }
}

@media (max-width: 1000px) {
    #card-1 .header {
        gap: 29%;
    }

    #card-1 .headerbackground {
        height: 645px;
    }
}

@media (max-width: 900px) {
    #card-1 .header {
        gap: 22%;
    }

    #card-2 .work {
        gap: 9%;
    }

    #card-7 .frame7 {
        flex-direction: column;
        width: 100%;
        align-items: center;
    }

    #card-7 .wireless {
        margin-bottom: 8%;
    }

    #card-7 .wireless,
    #card-7 .wired {
        width: 80%;
    }

    #card-6 .couple {
        flex-direction: column-reverse;
    }

    .descouple {
        margin-bottom: 3%;
    }

    #card-1 .headerbackground {
        height: 545px;
    }

    #card-4 .desk4 img {
        width: 65%;
    }
}

@media (max-width: 800px) {
    #card-1 .header {
        gap: 18%;
    }



    #card-5 .weight {
        padding: 8% 4% 8% 2%;
    }

    .weight img {
        width: 80%;
    }

    #card-5 .descdurable {
        width: 50%;
        margin-left: 2%;
    }

    #card-4 .desk4 {
        display: none;
    }

    #card-4 .desc4 {
        width: 100%;
    }

    #card-4 .responsive4 {
        display: flex;
        background: linear-gradient(to bottom,
                #6A6DCD 0%,
                #6A6DCD 50%,
                #F0F0F0 50%,
                #F0F0F0 100%);
        width: 100%;
        justify-content: center;
    }

    .responsive4 img {
        width: 60%;
    }


    #card-1 .icones {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }

    #card-2 .work {
        flex-direction: column;
    }

    #card-2 .desc2 {
        width: 100%;
        text-align: center;
        margin-bottom: 5%;
    }

    #card-3 .desc3 {
        width: 73%;
        margin-left: 7%;
    }

    #card-5 .desc5 {
        width: 100%;
    }

    #card-5 .desctable {
        width: 53%;
        margin-left: 8%;
    }

    #card-5 .durable {
        flex-direction: column;
    }

    #card-5 .descdurable {
        width: 100%;
        text-align: center;
        margin-bottom: 5%;
    }

    .weight img {
        width: 27%;
    }

    #card-5 .weight {
        padding: 4%;
        width: 100%;
        align-items: center;
        justify-content: center;
        display: flex;
    }

    #card-6 .bivolt {
        width: 100%;
        margin-top: 10%;
        margin-left: 10%;
        text-align: center;

    }

    #card-6 .bivolt {
        margin-left: 0%;
    }

    #card-1 .header {
        flex-direction: column;
        text-align: center;
    }

    #card-1 .headerbackground {
        height: 455px;
    }

    .img2 img {
        width: 100%;
    }

    #card-7 .wireless,
    #card-7 .wired {
        height: 470px;
    }
}

@media (max-width: 700px) {
    #card-1 .headerbackground {
        height: 405px;

    }

    #card-7 {
        text-align: center;
    }
}

@media (max-width: 600px) {
    #card-5 .desctable {
        width: 69%;
        margin-left: 8%;
    }

    body h4 {
        font-size: 21px;
    }

    .topics li {
        font-size: 21px;
    }


    #card-3 .desc3 {
        width: 89%;
        margin-left: 7%;
    }

    #card-2 .workbench {
        width: 100%;
    }

    #card-1 .icones {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 0%;
    }

    #card-3 .background3 {
        height: 560px;

    }

    #card-5 .desctable {
        width: 100%;
        margin-left: 8%;
    }

    #card-6 .chaircard,
    #card-6 .deschair {
        width: 100%;
    }

    .coupleimg img {
        width: 100%;
    }

    #card-5 .table {
        background-position: left;
    }

    #card-7 .wireless,
    #card-7 .wired {
        width: 90%;
    }

}

@media (max-width: 500px) {
    #card-7 .img7 img {
        width: 90%;
    }
}

@media (max-width: 400px) {
    .logofortrek img {
        width: 80%;
    }

    #card-3 .desc3 {
        width: 100%;
        margin-left: 7%;
        margin-top: 23%;
    }
}